Fix: Relayd and sessiond version check
authorDavid Goulet <dgoulet@efficios.com>
Mon, 10 Dec 2012 17:16:15 +0000 (12:16 -0500)
committerDavid Goulet <dgoulet@efficios.com>
Mon, 10 Dec 2012 17:42:49 +0000 (12:42 -0500)
commit092b625914723e40ccb3345826a2280cbd01f8b8
treedd97367a7ae1480299c626a8d84606407c9d3d4d
parent4028eeb991f5fc7e430ce09036f57bfbaa59a664
Fix: Relayd and sessiond version check

Now only checks for the major version to be equal. After 2.1 stable
release, both components will adapt to the lowest minor version for the
same major version. For this, the session daemon now send it's version
values to the relayd so slight change in the protocol here.

For instance, a relayd 2.4 talking to a sessiond 2.8, the communication
and available feature will only be those of 2.4 version.

For a relayd let say 3.2 and a sessiond 2.2, the communication stops
right there since both major version differs.

Acked-by: Julien Desfossez <julien.desfossez@efficios.com>
Signed-off-by: David Goulet <dgoulet@efficios.com>
src/bin/lttng-relayd/main.c
src/common/relayd/relayd.c
This page took 0.033861 seconds and 4 git commands to generate.